Packages - Bug #3430

Housekeeping # 3018 (open): Various uninstallable packages should be fixed, dropped, or blacklisted.
[wicd-openrc] should be removed

2023-01-20 10:46 PM - nona

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

[wicd-openrc] depends on [wicd], but that does not exist anymore (right?)

History

#1 - 2023-01-21 04:02 AM - bill-auger
- Parent task set to #3018

#2 - 2023-01-21 06:03 AM - bill-auger

- Status changed from unconfirmed to confirmed

#3 - 2023-01-25 05:01 AM - bill-auger

just to note - wicd-openrc was not overlooked - it was kept, only because it was being debated whether to restore wicd, when arch removed wicd -
that still may be good idea - IIRC, the major blocker now, is that it depends on python2, which is also no longer in the repos - 'wicd' is also not in the
AUR, probably for that reason - if the wicd upstream has not adapted it for python3, then that could be the end of the debate

though it is still not obvious that python2 should be ignored - maybe it should also be restored - otherwise, there are dozens of packages in the repos
now, which are not installable for the same reason, and should be removed (#2874)
